% the test matrix is the largest connected component of the adjacency matrix 
% of the yeast network
load yeast.mat
n = size(A,1);
Aorig = A;

show = 2;	% plot eigenvalues

[AB,en1,en2,perm,fail] = specbip( A, [], [], [], [], show);

nn1 = 1300;	% number of nodes in the largest set (if known)
[nAB,nen1,nen2,nperm,nfail] = specbip( A, nn1, [], [], []);

fprintf('estimated (n1,n2) = (%d,%d)\n', en1, en2);
n1 = en1;
n2 = en2;

Areord = A(perm,perm);		% reordered matrix
[~,reord] = sort(perm);
ABreord = AB(reord,reord);

nAreord = A(nperm,nperm);

figure(1)
spy(Aorig)
title('test network','fontsize',16)
set(gca,'fontsize',12)
xlabel('')

figure(3)
spy(Areord)
title('reordered test network','fontsize',16)
set(gca,'fontsize',12)
hold on
plot([0;n],[n1;n1],'r')
plot([n1;n1],[0;n],'r')
hold off
xlabel('')

figure(4)
spy(nAreord)
title(sprintf('reordered test network (n1=%d)',nn1),'fontsize',16)
set(gca,'fontsize',12)
hold on
plot([0;n],[nn1;nn1],'r')
plot([nn1;nn1],[0;n],'r')
hold off
xlabel('')

